dofile( "data/scripts/lib/utilities.lua" )

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )

	local player_id = EntityGetClosestWithTag( pos_x, pos_y, "player_unit")
	if player_id == 0 then return end

	local ewe = GameGetGameEffectCount( player_id, "EDIT_WANDS_EVERYWHERE" )
	if ewe > 0 then return end

	local player_x, player_y = EntityGetTransform( player_id )

	local game_effect_comp = GetGameEffectLoadTo( player_id, "EDIT_WANDS_EVERYWHERE", true )
	if game_effect_comp == nil then return end
	ComponentSetValue( game_effect_comp, "frames", "-1" )

	local entity_ui = EntityCreateNew( "" )
	EntityAddComponent( entity_ui, "UIIconComponent", 
	{ 
		name = "$perk_edit_wands_everywhere",
		description = "$perkdesc_edit_wands_everywhere",
		icon_sprite_file = "mods/edit_wands_bounty/files/edit_wands_everywhere.png"
	})
	EntityAddChild( player_id, entity_ui )

	EntityLoad( "data/entities/particles/image_emitters/perk_effect.xml", player_x, player_y )
	GamePrintImportant( "$perk_edit_wands_everywhere", "$perkdesc_edit_wands_everywhere" )
end

